﻿using System;
using System.ComponentModel;
using System.Windows.Forms;
using System.Drawing;
//using Microsoft.Win32;

namespace WinCycle
{
    public partial class ClosingForm : Form
    {
        public ClosingForm()
        {
            InitializeComponent();
        }

        // Control als Eigenschaft offenlegen (TTChckdListBox in diesem Formular!):
        internal RadioButton ClosingForm_rbSecond { get { return rbSecond; } }

        private void ClosingForm_Load(object sender, EventArgs e)
        {
            SetDesktopLocation(MousePosition.X - 100, MousePosition.Y - 30); //Location = new Point(MousePosition.X - 5, MousePosition.Y - 20);
        }

        private void ClosingForm_Shown(object sender, EventArgs e)
        {
            if (this.Left < SystemInformation.VirtualScreen.Left)
                this.Left = SystemInformation.VirtualScreen.Left;
            if (this.Right > SystemInformation.VirtualScreen.Right)
                this.Left = SystemInformation.VirtualScreen.Right - this.Width;
            if (this.Top < SystemInformation.VirtualScreen.Top)
                this.Top = SystemInformation.VirtualScreen.Top;
            if (this.Bottom > SystemInformation.VirtualScreen.Bottom)
                this.Top = SystemInformation.VirtualScreen.Bottom - this.Height;
            Point target = new Point((btnOK.Left + btnOK.Right) / 2, (btnOK.Top + btnOK.Bottom) / 2);
            Point screenCoords = btnOK.Parent.PointToScreen(target);
            Cursor.Position = screenCoords;
        }

        private void lblFirst_Click(object sender, EventArgs e)
        {
            rbFirst.Checked = true;
        }

        private void lblSecond_Click(object sender, EventArgs e)
        {
            rbSecond.Checked = true;
        }

    }
}
